
/* qvm Client in 'C' : requires csrvthg.h, libmin_a and libcsm.a
 * from CSM archive
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <qdos.h>
#include <pd/csrvthg.h>

char _prog_name[] = "qute client";

int main (int ac, char **av)
{
    char *p;
    int n = -15;
    char *sp;
    short nc;
    short mlen;
    int stdchn;

    if ((n = UseSrvThg (CLNT, "qvm")) == 0)
    {
	short rlen;
	if ((p = Request ("qvm", "tone", -1, &rlen)))
	{
	    char text[80];
	    short done = 0;
	    int sum = 0;
	    short nsum = 0;

	    free (p);

	    while(!done)
	    {
		p = Request ("qvm", "getkey", 6, &rlen);
		if(p)
		{
		    if(*p >= '0' && *p <= '9')
		    {
			nsum += *p - '0';
			sum = sum * 10 + *p - '0';
		    }
		    else
		    {
			done = 1;
		    }
		    free (p);
		}
	    }

	    sprintf(text, "log The number was %d, sum of digits %d", sum, nsum);

	    if ((p = Request ("qvm", text, -1, &rlen)))
	    {
		free (p);
	    }
	}
        FreeSrvThg (CLNT, "qvm");
	n = 0;
    }
    return n;
}
int (*_Cstart) (int, char **) = main;
