



QvM beta             Quintessential Voice Mail b004      October 5, 1996


     1.  Introduction

     QvM  ["QVM Violates Modems"] is a voice mail application for (inter
     alia) SMS and QDOS computers. QvM will theoretically work with  any
     voice   aware   modem   that   implements  the  TIA  TR29.2  IS-101
     recommendations. In practice, it  will  probably  require  a  ZyXEL
     modem.

     This  version is a beta release. I have few facilities to test this
     program, though very similar Amiga and Linux  versions  work  well.
     You use this material at your own risk.

     QvM requires the following.

      o 38400 bps serial comms
      o MENU_REXT
      o A nul device
      o CSM (Server name QVM)

     2.  Usage

     2.1.  What does it do

     QvM  is  a combined voice answering machine, fax machine and BBS or
     point (with suitable external software). It also has the capability
     to page you when it answers a call, forward faxes and be controlled
     by dial-in from a remote location. In remote  mode,  you  supply  a
     password  and  can  then review, play or delete any voice messages,
     forward faxes or even quit the  program.  A  'key-script'  facility
     allows  you to define your own 'script' file to be run on any phone
     key press. This 'key script' can control qvm features using  a  CSM
     interface.  These  features  enable  you  to  build  your own voice
     applications and "fax on demand" systems.

     2.1.1.  DATA Options

     If a data capability is not required, a file  may  be  defined  via
     DATACMD  which  is  displayed to the caller. This might explain why
     data  connect  is  not  available.  An  example  is   supplied   as
     QVMDATA_TXT.  Where  the  DATACMD  is a file to be displayed, it is
     defined with a leading "@". See example qvm_dat.  Note  DATAINI  is
     still required.

     2.1.2.  QFAX compatibility

     To  use  this version of QVM, you need QFAX/qfax v2.74 or later. In
     order to provide functionality compatible with  both  BBS  and  QVM
     operation, then the following should be noted.

     For BBS operation, qfax 2.74 should be invoked with channels as:





                                    1







QvM beta             Quintessential Voice Mail b004      October 5, 1996


         stdin  - Serial channel  (#0)
         stdout - NUL             (#2)
         stderr - LOG channel     (#1)

     QFAX is invoked '-G' for use with QVM.

     2.1.3.  QVM Child Processes

     qvm runs child processes in two ways.

      (1)   Asynchronous  children are denoted by the '|' character (see
            FAXCMD below).

                FAXCMD = |qfax -G

                These jobs have stdin  = serial channel  (#0)
                                stdout = pipe to QVM     (#2)
                                stderr = NUL (CHILDSTDE) (#1)

            Note this is  deliberately  different  from  BBS  convention
            above.


      (2)   Synchronous  children  have  a  program name (and options if
            required)

                e.g. DATACMD = smbx -options

                These jobs have stdin  = serial channel  (#0)
                                stdout = serial channel  (#2)
                                stderr = CHILDSTDE       (#1)

            It is possible to run a point  mail  system  in  this  mode,
            although  a  extra  'middle-ware'  agent will be required to
            check FIDO protocols (EMSI / yahoo / tsync) for handing over
            to a mailer such as IFCICO.


     2.1.4.  Silence Processing

     If  qvm  detects  'silence' (see ZyXEL manual), then it attempts an
     adaptive fax answer. If you support a data setting in qvm,  perhaps
     you  should  have  the  same  in  qfax  (including  the  '@' option
     (available in 2.72+)).

     2.1.5.  EDR

     qvm recognises ZyXEL's EDR 'RING x' commands so that immediate  fax
     reception  is  possible  if  the  modem detects CNG tones after the
     phone has been manually answered. See example qvm_dat for suggested
     AT setting and EDR=1.




                                    2







QvM beta             Quintessential Voice Mail b004      October 5, 1996


     2.2.  Configuration

     QvM  reads  configuration  data  from 'qvm_dat' (i.e. from the data
     default), or from a file  described  by  the  environment  variable
     "QVM_DATA".

     The  name  of  the qvm data file (qvm_dat) may also be defined with
     the QJump Config program.

     2.3.  Config Data

     The QVM_DATA file uses a similar KEYWORD system  to  that  used  by
     QFAX.  The QVM_DATA keywords and options are:

     2.3.1.  ANSWER

     The  Answer  keyword describes voice files that will be played when
     QvM answers a voice call. The voice file is defined  with  a  start
     time  so  that  different  messages may be played, depending on the
     time ("Good  Morning",  "Good  Afternoon",  "Good  Evening",  "Good
     Grief" etc).  For example:

         ANSWER = 06:00 answer1_vox
         ANSWER = 18:00 answer3_vox
         ANSWER = 12:00 answer2_vox
         ANSWER = 23:00 answer4_vox

     After 06:00, answer1_vox is played "Good morning ... ".
     After 12:00, answer2_vox is played "Good afternoon ... ".
     After 18:00, answer3_vox is played "Good evening ... ".
     After 23:00, answer4_vox is played "I'm trying to sleep ... ".

     The  location  of  the  files is taken from the KEYWORD OUTDIR. The
     files need not be defined chronologically.

     2.3.2.  DEFAULT

     The DEFAULT key describes a default answer message to be played  if
     the  ANSWERn  files  have  not been defined or cannot be found. The
     default is DEFAULT = answer_vox.

     2.3.3.  OUTDIR

     The  device/directory  where  outgoing  messages  are  stored.  The
     default  is OUTDIR = ram2_answer. QvM provides 50 recorded messages
     for use when you control it from a remote phone.

     2.3.4.  INDIR

     The device/directory where inbound messages are stored. The default
     is INDIR = ram2_messages.




                                    3







QvM beta             Quintessential Voice Mail b004      October 5, 1996


     2.3.5.  DEFDIR

     The  top  level  QvM  directory.  INDIR  and  OUTDIR should be sub-
     directories.  QvM uses this directory for some temporary files (and
     a permanent one).  The default is DEFDIR = ram2_.

     2.3.6.  DEVICE

     The serial device used for QvM modem communications. The default is
     DEVICE=ser2hr. The device must support  38400  baud  communications
     (which the default device most probably does not).

     2.3.7.  BAUD

     The  baud  rate. If this is not a legal rate (i.e. 0), then it will
     not be changed from the value in force when  QvM  is  invoked.  The
     default is BAUD = 38400 :-). The recommended baud rate is 57600 bps
     for ADPCM/3+, 38400 is fine for ADPCM/2.

     2.3.8.  FAXCMD

     A command to invoke a program to handle FAX reception.  No  default
     is given, the recommended QFAX command is:

         FAXCMD = |qfax -G


     2.3.9.  DATACMD

     A  command to invoke a program to handle data reception. No default
     is given, a suggested command is (using smbx). This probably should
     be a synchronous command.

         DATACMD = devN_mbx_smbx

     See the smbx manual for more details.

     2.3.10.  VOXINI

     A  set of modem commands that initialise the modem for voice usage.
     The commands are sent in the order defined  and  comprise  command,
     response, timeout. For example.

         VOXI = ATZ:OK:5
         VOXI = AT N4:OK:5
         VOXI = AT+FCLASS=8:OK:5
         VOXI = ATS39.6=1 +VIP +FLO=2:OK:5
         VOXI = AT+FCR=1+FAA=1+FDCC=1,5,2,2,1:OK:5
         VOXI = AT+FLID=+968-699407:OK:5

     In  the above case, the first command is ATZ, the expected response
     (OK) and a timeout (5 seconds). The commands listed are recommended
     for ZyXEL modems.


                                    4







QvM beta             Quintessential Voice Mail b004      October 5, 1996


     NOTE: The fields _must_ be separated by a colon.

     2.3.11.  FAXINI

     A  set  of  modem commands that initialise the modem for fax usage.
     The commands are sent in the order defined  and  comprise  command,
     response,  timeout.  These  commands  are  issued  before  the  fax
     reception program is invoked. The following are recommended.

         FAXI = AT+FCLASS=2:OK:2
         FAXI = AT+FCR=1;+FAA=1; A:CONNECT FAX:60

     The CONNECT FAX (for ZyXEL) return depends  on  the  setting  of  S
     register 38. The following alternatives are available.

         a. Set S38.3=1 and have the final FAXI line as
            FAXI = AT+FCR=1;+FAA=1; A:CONNECT FAX:60

            This is the preferred setup, handles 'silence' OK

         b. Set S38.3=0 and have the final FAXI line as
            FAXI = AT+FCR=1;+FAA=1; A:+FCON:60

            I think this will also work, including 'silence'


     2.3.12.  DATAINI

     A  set  of modem commands that initialise the modem for data usage.
     The commands are sent in the order defined  and  comprise  command,
     response,  timeout.  These  commands  are  issued  before  the data
     reception program is invoked. For example.

         DATAI = AT+FCLASS=0:OK:10
         DATAI = AT&N17:OK:10
         DATAI = ATA:CONNECT:60

     The commands listed are recommended for ZyXEL modems with 'smbx'.

     2.3.13.  FAXFROM

     The default device for outgoing fax files (Send Fax  menu  option).
     The default is FAXFROM = ram2_.

     2.3.14.  SFAXCMD

     A  command to send fax. This may either be used from the menu "Send
     Fax" item, or in remote (dial in mode)  to  forward  received  fax.
     There is no default for this item, a setting for sending single fax
     is SFAXCMD = qfax -vz. More detail on multiple  fax  forwarding  is
     given below.




                                    5







QvM beta             Quintessential Voice Mail b004      October 5, 1996


     2.3.15.  PASS

     A  numeric password to get into remote control mode. This may be up
     to 24 digits long. The default is PASS = 1234. I suggest you change
     it.

     2.3.16.  PLAY

     A  program  to  play  voice  files  through an external speaker. No
     default is given. A program to convert voice files to  SoundBlaster
     (tm)  .VOC  files  is  available  on  request.  The Linux and Amiga
     version can play voice files through the sound  cards/system  audio
     channels  via  external program(s). The external program is invoked
     with the voice file name appended to the  command.  No  default  is
     defined. I do not supply an external player for QDOS. A perl script
     is available for Linux.

     2.3.17.  PAGE

     A program to dial an external number (e.g. a pager) after a call is
     received.  The  external program is invoked with the callers number
     (if they leave it when requested) on the command line.  No  default
     is defined. An external pager program is supplied and documented in
     the "utils" sub-directory. Assuming a pager number of 9139527,  the
     example program might be defined as:

         PAGE = win1_voxstuff_pager 9139527

     Where 9139527 is _my_ pager number. If the user left a number, then
     this would be appended to the PAGE command.

     2.3.18.  INFO

     An informational message that is played if the caller  presses  '8'
     on  their  phone  keypad  when  the outgoing message is played. The
     default is INFO = qvminfo_vox (from OUTDIR).

     2.3.19.  RMETHOD

     This parameter describes the recording method. The following values
     are recognised.

         1    CELP       (ZyXEL 1496+)
         2    ADPCM 2
         3    ADPCM 3
         4    ADPCM 4
         30   ADPCM 3+ (default)


     2.3.20.  EDR

     The  value  of  RING  'x' that will trigger automatic fax reception
     after manual answer when CNG tones are detected.


                                    6







QvM beta             Quintessential Voice Mail b004      October 5, 1996


     2.3.21.  IGNORE

     qvm normally checks that all the  'remote  control'  message  files
     exist  and  are  of  the  same  compression type. This check may be
     ignored by setting "IGNORE=Y"

     2.3.22.  CHILDSTDE

     The setting defines the file that is used for the STDERR stream for
     qvm child processes. The default is "nul".

     2.3.23.  DOPAGE

     The pager support in QVM works as follows.

     If  PAGE  is  defined,  then  a caller may page you by pressing '9'
     during play/ record message phases.

     If you enable the pager from the menu, or by adding DOPAGE =  Y  to
     qvm_dat,  then you are automatically paged after a voice message is
     received or fax is successfully received.

     2.3.24.  SCRIPT

     The script command allow  the  operator  to  associate  a  compiled
     'script'  (program)  with arbitrary phone key press. The script can
     communicate with the qvm program using a CSM interface to  build  a
     comprehensive, customised voice application.

         SCRIPT = KEY:FLAG:SCRIPT
         where
             KEY - key on phone pad
             FLAG - when script valid (additive)
                M - during OGM
                R - during record phase
                X - remote dial in
             SCRIPT - the file to run

     A  separate manual, keyscript.man, describes the commands available
     to keyed scripts.

     2.3.25.  VIA   The VIA  keyword  is  used  to  define  intermediate
     storage  for  voice messages. The default is that VIA is undefined,
     so INDIR is  used  directly.  When  VIA  is  defined,  it  is  only
     recognised for 'automatic' recordings; ie after answering a call or
     hitting the or csm record), then the user supplied path is used.

         VIA = ram7_







                                    7







QvM beta             Quintessential Voice Mail b004      October 5, 1996


     2.3.26.  PREFAX

     The PREFAX key defines a string that is sent to a pager to indicate
     that  a fax was received (rather than voice). Something like PREFAX
     = 0* may be useful for some pagers. See the "utils" pager manual.


     3.  Remote Usage

     When QvM is running, you can dial into it from a  remote  location.
     You  enter  remote  mode  by  pressing  '*' on the keypad while the
     outgoing message is playing. QvM will then ask for  your  password.
     This  is  entered  using the phone keypad, and terminated with '#'.
     QvM will then read the password back and ask you to confirm.  Press
     '1' for OK, '0' to retry.  You get three attempts. Or just hang up.

     After you have connected, QvM will tell you how many voice messages
     you  have,  how many you have not heard and how many faxes. It will
     then ask for a command. The options are:


     '0'  Help message (not implemented)

     '1'  Voice message details

     '2'  Fax details

     '3'-'9','#'
          Hang up

     '*'  Exit QvM


     If you enter '*' to exit QvM, you will be asked to confirm  ('1'  =
     YES). There is no way back.

     3.1.  Voice details

     For  each  voice  message,  the  time  that is was received and the
     recording duration are given, you then have the options of (a voice
     prompt is given).

     '1'  Play the voice message.

     '9'  Delete the voice message.

     '*'  Next voice message

     '#'  Return to previous menu.






                                    8







QvM beta             Quintessential Voice Mail b004      October 5, 1996


     3.2.  Fax Details

     For  each  fax  message,  the  time  that  is  was received and the
     recording duration are given, together with the sender's number (if
     known)  and 'forward status'. You then have the options of (a voice
     prompt is given).

     '1'  Toggle forwarding status (see below).

     '*'  Next fax message.

     '#'  Previous menu.

     If you select '1', the forward status is toggled (on,off). When you
     leave  the  QvM  remote  menu, and any fax have forward status set,
     then you are asked to enter:

     '1'  Prompt for a number to forward to.

     '*'  Forward to your (remote) phone, no hangup, so you must be able
          to go into fax mode.

     '#'  Abandon, don't forward any of the faxes.

     4.  Command Options

     QvM  is  invoked  with  ex  or ew. It defaults to reporting minimal
     messages and waiting for three phone rings before  answering.  This
     behaviour may be changed by command options.

         ex qvm;'-v -l logfile [-p playfile] [-r recordfile]
                                             [-a no_of_rings] [-t N]'

     where:


     -v   Invokes a more verbose mode.

     -l logfile
          Defines a log file.

     -t N Invokes a test mode (for N goes, then QvM enters Answer mode).
          In test mode, rather waiting for rings to  answer  (or  remote
          mode),  QvM waits until you hit the START button. Then it will
          play the answer message and accept (keypad) responses ('0' for
          data,  '5'  for  fax,  '8'  for Info message, '9' to page), or
          leave a voice message. For best results, pick up  the  handset
          and let the dial and busy tones time out before hitting START.

     -p playfile
          Plays the voice file  (on  modem  speaker);  then  exits  (for
          FileInfo ?).



                                    9







QvM beta             Quintessential Voice Mail b004      October 5, 1996


     -r recordfile
          Records  a  voice  file, then goes into answer mode. Use START
          button to start recording and STOP button to stop. See  "Test"
          mode for the best method to do this.

     -a RINGS
          Go  into "wait for RINGS" and answer loop. This is the default
          with 3 rings to answer,

     4.1.  In Use

     If a QvM program is running, then invoking another QvM with  -p  or
     -r  options  will  result  in the original QvM getting a message to
     perform the requested action.

     4.2.  CSM Interface

     QvM may be  controlled  by  a  CSM  interface.  This  interface  is
     available  to  independent  programs,  not  those  invoked  as 'key
     scripts' by qvm.

     The following server commands are recognised.

     play filename
          Plays the voice file "filename" via the modem.

     record filename
          Records the voice file "filename". You control start and  stop
          via  the  START  and  STOP buttons. This is useful for "batch"
          records.

     suspend
          Suspends serial monitoring, closing the serial channel.

     resume
          Resumes serial monitoring, re-opening the serial channel.

     status
          The status command returns the number of messages,  number  of
          unheard  messages  and  number  of  faxes known to qvm, in the
          format:














                                   10







QvM beta             Quintessential Voice Mail b004      October 5, 1996



              Voice:Vn New:Nn Fax:Fn

              Where Vn = number of voice messages
                    Nn = number of voice messages unplayed
                    Fn = number of fax messages
              e.g.

                    CLIENT 'qvm'
                    REQUEST 'qvm', 'status', a$
                    print a$
                    FREECLIENT 'qvm'

                    ===>>   Voice:3 New:2 Fax:1



     quit Exits the program if in a quiet state, or  aborts  a  play  or
          record command.

     For example.

         CLIENT 'qvm'
         REQUEST 'qvm','play welcome_vox'
         REQUEST 'qvm','quit'    : REM abort play
         REQUEST 'qvm','quit'    : REM quit program
         FREECLIENT 'qvm'

     In  CSM  mode, the 'play' request accepts multiple files, separated
     by spaces.

         REQUEST 'qvm','play welcome_vox bye_vox'


     4.3.  Menu Interface

     The following menu options are available.

     4.3.1.  Project Menu

     Play You are prompted for a file to play. If the  PLAY  keyword  is
          defined,  you  have the option of playing via Modem or Speaker
          (external).

     Record
          You are prompted for a file name. The Start and  Stop  buttons
          control the recording.

     Suspend
          Gives up the serial connection (== suspend CSM command).

     Resume
          Reclaims the serial connection (== resume CSM command).


                                   11







QvM beta             Quintessential Voice Mail b004      October 5, 1996


     Fax answer
          Answers in fax mode (use the button, it's easier).

     Send Fax
          Requests a fax file and phone number. Dials out and sends fax.

     Quit Quits the program (as does the concentric rectangle gadget  in
          the menu bar).

     4.3.2.  Settings Menu

     Play Device
          Device  to  play  voice  messages (via Modem). Hit toggles, DO
          actions selected, ESC abandons.

     Record Device
          Device to record voice messages (via Modem). Hit  toggles,  DO
          actions.  ESC  abandons.  Telco  is  a  phone into the same BT
          socket.

     Compression
          The default compression method for  recording.  CELP  only  on
          ZyXEL  1496E+  modems,  use  ADPCM/2 for economy, ADPCM/3+ for
          real quality (if your DTE rate can cope), ADPCM/4 is you  like
          wasting disk space and you have a real serial port. ADPCM/2 is
          adequate, ADPCM/3+ is great if the hardware can cope.

     Rings
          Number of rings to answer.

     Record Timeout
          Normally QvM detects end of voice message by a silence  period
          (or PTT busy tone). If this setting is 0, then the record time
          is unlimited, otherwise, QvM will  stop  recording  after  the
          time in seconds. (note ADPCM/2 ~ 2K/sec).

     Pager Status
          if  you  have PAGE defined, this item allows you to control if
          you are paged after every voice  and  fax  message.  (This  is
          different  from  a  caller  paging  you by pressing '9' during
          OGM).

     4.4.  Button Line

     The lower line of items control the following.

     Fax! Answers immediately as fax.

     Record!
          Records to a scratch file. Perhaps useful to silently record a
          conversation.




                                   12







QvM beta             Quintessential Voice Mail b004      October 5, 1996


     Abort
          Aborts play or record  so you can talk to a caller.

     Start and Stop
          Used to start and stop manual record sessions.

     5.  Forward Fax/Multiple fax

     Forward  fax  is  now  implemented in QVM/qdos. It is possible that
     more than one fax is to be forwarded.

     To forward more than one fax file, these must be concatenated  into
     a single file before transmission (this is a QFAX limitation).

     The  SFAX  command  described above should be capable of forwarding
     multiple faxes.

     The following Perl script is an example of  how  this  is  done  on
     Unix.  The arguments supplied to the script are 'phone_number file1
     ... fileN'.

     #!/usr/bin/perl

     $argc = @ARGV;
     # number of parameters, sanity check
     die "Needs phone no & file(s)" unless ($argc > 1);

     if ($argc == 2)
     {
         # Got phone no and single file name (in array ARGV)
         # just invoke qfax with these two parameters

         system "qfax 2>/dev/nul -z @ARGV";
     }
     else
     {
         # multiple files, extract phone no and a files array from ARGV

         ($phone, @files) = @ARGV;

         # Now run catfax on the list of files

         system "catfax >qvmfax.fax @files";

         # send the concatenated file and delete it
         # set stderr to nul device, we don't want
         # verbose messages

         system "qfax 2>/dev/null -z $phone qvmfax.fax";
         unlink "qvmfax.fax";
     }

     A QDOS/SMS solution is left as an exercise for the reader. A simple


                                   13







QvM beta             Quintessential Voice Mail b004      October 5, 1996


     (compiled)  BASIC  filter  will  do, note that your program will be
     invoked with STDIN (#0) as the modem  channel,  STDOUT  (#2)  as  a
     writable  pipe and STDERR (#1) as CHILDSTDE.  You should pass these
     channels on to QFAX. If you want full, verbose QFAX messages,  then
     QFAX STDERR should also be the writable pipe channel.

         ex qfax,#stdin,#stdout,#stdout : rem verbose

         ex qfax,#stdin,nul,#stdout     : rem quiet

     The  basic! idea is that if one file is supplied, then invoke "qfax
     -z phone_no file_fax" to immediately  send  the  fax.  If  multiple
     files  are  supplied,  invoke  'catfax'  (from the qfax archive) to
     concatenate the fax files to a single temporary file,  then  invoke
     "qfax  -z  phoneno  tempfile_fax" to send this file (tempfile_fax),
     created by catfax.

     If anyone  has  a  QDOS  solution  for  this,  I'd  be  pleased  to
     distribute it with future releases.


     6.  Example qvm_dat

     DEFAULT = answer_vox
     ANSWER = 06:00 answer1_vox
     ANSWER = 12:00 answer2_vox
     ANSWER = 18:00 answer3_vox
     ANSWER = 22:00 brief_vox

     VOXI = ATZ:OK:5

     # My understanding is that this will give RING 1 when CNG is detected
     # after manual answer.

     VOXI = AT N4 S51=17 S40=8:OK:5
     VOXI = AT+FCLASS=8:OK:5
     VOXI = ATS39.6=1 +VIP +FLO=2:OK:5
     VOXI = AT+FCR=1+FAA=1+FDCC=1,5,2,2,1:OK:5

     # Chose a suitable number

     VOXI = AT+FLID=+968-699407:OK:5

     DATAI = AT+FCLASS=0:OK:10
     # Some modems choke on ZyXEL negotiations
     DATAI = AT&N17:OK:10
     DATAI = ATA:CONNECT:60

     # We also allow adaptive mode

     FAXI = AT+FCLASS=2:OK:2
     FAXI = AT+FCR=1;+FAA=1; A:CONNECT FAX:60



                                   14







QvM beta             Quintessential Voice Mail b004      October 5, 1996


     # Ignore baud, sH does that
     BAUD = 0
     DEVICE = ser3_b38.4_u8k_t_u2k

     # I suggest this is changed
     PASS = 1234

     #DATACMD = /usr/local/bin/fidoVOX
     # Display the contents of text file on data connects
     # We should add this to qfax_dat too

     DATACMD = @ram2_qvmdata_txt

     INDIR = win1_voxin_
     OUTDIR = win1_voxout_
     FAXFROM = win1_faxstuff_
     VIA = ram7_
     FAXCMD = |ram2_qfax -G
     # Write your own ! See qvm.man
     SFAXCMD = |qvmsfax

     # We would like QVM to go straight into QFAX if we get a RING 1
     EDR = 1

     # Ignore file checks
     IGNORE = Y
     PAGE = win1_voxstuff_pager 9139527
     DOPAGE = Y



     7.  External Interfaces

     qvm requires at least the following third party interfaces.

      o srvthg_rext
      o menu_rext
      o sigext_rext
      o the 'usual' ptr interface extensions

     Note that the QDOS version does not attempt to interpret any 'PATH'
     to find executable programs (fax, data, scripts).  All  path  names
     for external programs invoked by qvm should be defined in full.


     8.  Modem Configuration

     In  order to maximise the chances of silence answering for fax/data
     working correctly, I recommend that ZyXEL users set ATS38.3=1.






                                   15







QvM beta             Quintessential Voice Mail b004      October 5, 1996


     9.  Installation

     qvm requires the following.

      o qvm data file (qvm_dat)
      o the top level qvm directory (qvm_dat key DEFAULT)
      o inbound voice message (qvm_dat key INDIR)
      o outbound voice messages / prompts  (qvm_dat  key  OUTDIR).  This
        directory  should  contain  your  answer files (q.v. qvm_dat key
        ANSWER).

     You should Config qvm to reflect the location of your qvm_dat file.

     In  order  to  use  the fax facilities of qvm, you require v2.74 or
     later of QFAX.


     10.  Distribution, Related files and documents

     qvm                     qvm program
     qvm_eg_dat              example "qvm_dat" file
     qvmdata_txt             example data connect not available banner
     qvm_man                 ASCII manual
     qvm_ps                  PostScript manual

     utils_page_c            source for pager interface
     utils_pager_txt         manual
     utils_pager             pager program
     utils_voxed_c           utility to edit qvm 'message base' (vox_dat).
     utils_voxed_txt         voxed manual
     utils_voxed             voxed program
     utils_vplay_c           source for vplay
     utils_vplay_txt         manual for vplay
     utils_vplay             play program to play ZyXEL voice files via
                             modem speaker (sounds best if you replace
                             modem speaker with external speaker.
     utils_keyscripts_txt    key scripting manual (construct your own voice
                             mail / fax on demand system).
     utils_client_c          simple qvm/CSM client example
     utils_client            and program
     utils_vox-msg_txt       description of pre-recorded messages used by
                             qvm in 'remote control' mode.
     alien_README            apology for non-SMS/QDOS examples !
     alien_qvmsfax           perl template for SFAX filter
     alien_fidoVOX           perl template for IFCICO filer (fido mailer)
     alien_qvmsfax_rexx      REXX template for SFAX filter


     Please note that in order to keep the size  of  the  archive  to  a
     minimum no voice files are included in the base distribution. These
     voice files (if you really want 50 examples of the author's voice),
     obtained electronically from the author by arrangement if required.



                                   16







QvM beta             Quintessential Voice Mail b004      October 5, 1996


     11.  Licence

     QVM is copyright (c) Jonathan R Hudson, all rights reserved. It  is
     NOT public domain.

     QVM  is  free  and  may  be freely distributed, as long as NO money
     changes hands  (other  than  refund  of  postage)  and  no  further
     restrictions are place on the package. This basically means that it
     can be distributed by.

      o Download from BBS, online service or internet
      o Private copying by hand or mail.

     QVM may NOT be distributed by:

      o User group libraries that restrict distribution to members only.
      o The so called "public domain" libraries.

     The  example  source  code in the 'utils' sub-directory may be used
     for any purpose provided an acknowledgement as  to  its  origin  is
     made.

     12.  Class 2.0 support (b006)

     From  release  b006,  qvm  supports  QFAX v2.80 CLASS 2.0 mode. The
     following settings work for  me  (xqvm/Linux);  "your  mileage  may
     vary" etc.

         VOXI = ATZ:OK:15
         VOXI = AT N4 S51=17 S40.3=1 S40.2=0:OK:5
         VOXI = AT+FCLASS=8:OK:5
         VOXI = ATS39.6=1 +VIP +FLO=2:OK:5
         VOXI = AT+FCR=1+FAA=1 +FNR=1,1,1,0 +FCC=1,5,2,2,1:OK:5
         VOXI = AT+FLI=+44 (0)1703-867843:OK:5
         DATAI = AT+FCLASS=0:OK:10
         DATAI = ATA:CONNECT:60
         FAXI = AT+FCLASS=2.0:OK:2
         FAXI = AT+FCR=1;+FAA=1; A:CONNECT FAX:60

     13.  Author

     Jonathan Hudson
     Copse View, Priestlands Close, Woodlands, Southampton SO40 7GD.

     Tel : +44 (0)1703 867843
     Fax : +44 (0)1703 867843        (any time)
     Email: bugs@jrhudson.demon.co.uk


     I am grateful to Graham Goodwin and Davide Santachiara for assistance
     in testing qvm on SMS2 and SMSQ/E systems.




                                   17







QvM beta             Quintessential Voice Mail b004      October 5, 1996


     Alpha revision 07/01/96
     A004  revision 12/02/96
     A007  revision 22/02/96
     A010  revision 07/03/96
     b001  1st public release (beta status) 18/05/96
     b005  2nd public release (beta status) 24/07/96
     b006  2nd public release (beta status, Class 2.0) 05/10/96
















































                                   18



