#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <fcntl.h>
#include <unistd.h>
#include <qdos.h>
#include <qlib.h>

static int pChan = 0;

int tty_open (char *nam, short flag)
{
    
    if((pChan = io_open(nam, 1)) < 0)
    {
	exit (-9);
    }
    return (pChan);
}

void  tty_close (void)
{
    io_close(pChan);
    pChan = 0;
}

SRead(void  *x, int nchar, int timeout)
{
    int m,n;
    int t;
    char *buf = x;

    if(nchar && pChan)
    {
	if(timeout > 0)
	{
	    t = timeout * 5;
	}
	else
	{
	    t = timeout;
	}
        n = io_fstrg(pChan, t, buf, nchar);
    }
    return (n > 0) ? n : 0;
}

SWrite(void *x, int nchar)
{
    if(pChan)
    {
	
	if(nchar <= 0)
	{
	    nchar = strlen(x);
	}
	io_sstrg(pChan, -1, x,nchar);
    }
    return nchar;
}

